Skip to main content
Jump to: navigation, search

Difference between revisions of "VIATRA/Query/UserDocumentation/GettingStarted"

< VIATRA‎ | Query
(Main update site contents)
 
(17 intermediate revisions by 4 users not shown)
Line 1: Line 1:
=Installing EMF-IncQuery=
+
{{caution|Old information|This page is not updated anymore; for more up-to-date details look at https://www.eclipse.org/viatra/downloads.html and https://www.eclipse.org/viatra/documentation/tutorial.html instead}}
  
The EMF-IncQuery provides two update sites on eclipse.org:
+
=Installing VIATRA Query=
  
* The main update site provides both the EMF-IncQuery runtime and the query development extensions for Eclipse.
+
''Note:'' Versions before 1.2 were called EMF-IncQuery, so the name "VIATRA Query" has to be substituted accordingly.
* The extra update site adds extra features that have extra dependencies, or provide experimental features.
+
  
== Main update site contents ==
+
== Dependencies ==
 +
Each version of VIATRA Query depends on a specific version Xtext/Xtend.
  
* IncQuery runtime
+
{| class="wikitable"
* IncQuery tooling
+
!
* Data binding support
+
! Xtext 2.3
* Validation framework
+
! Xtext 2.4
* Query based feature support
+
! Xtext 2.5
* [[EMFIncQuery/UserDocumentation/IncQuery_Viewers|IncQuery Viewers]]
+
! Xtext 2.6
 +
! Xtext 2.7
 +
! Xtext 2.8
 +
! Xtext 2.9
 +
! Xtext 2.10
 +
! Xtext 2.11
 +
|-
 +
! EMF-IncQuery 0.7
 +
|| Compatibility branch || Yes || No || No || No || No || No || No || No
 +
|-
 +
! EMF-IncQuery 0.8
 +
|| No || RT || RT * || Yes || RT || RT || RT || RT || RT
 +
|-
 +
! EMF-IncQuery 0.9
 +
|| No || RT || RT || RT || Yes || RT || RT || RT || RT
 +
|-
 +
! EMF-IncQuery 1.0
 +
|| No || RT || RT || RT || RT || Yes || RT || RT || RT
 +
|-
 +
! EMF-IncQuery 1.1
 +
|| No || RT || RT || RT || RT || RT || Yes || RT || RT
 +
|-
 +
! VIATRA Query 1.2
 +
|| No || RT || RT || RT || RT || RT || Yes || RT || RT
 +
|-
 +
! VIATRA Query 1.3
 +
|| No || RT || RT || RT || RT || RT || RT || Yes || RT
 +
|-
 +
! VIATRA Query 1.4
 +
|| No || RT || RT || RT || RT || RT || Yes || Yes || RT
 +
|-
 +
! VIATRA Query 1.4.1
 +
|| No || RT || RT || RT || RT || RT || Yes || Yes || Yes
 +
|-
 +
! VIATRA Query 1.5
 +
|| No || RT || RT || RT || RT || RT || Yes || Yes || Yes
 +
|}
 +
Remarks:
 +
* RT: runtime only; the development environment will not work with that version, but the runtime will
 +
* The codebase of EMF-IncQuery 0.8 is compatible with Xtext 2.5, but its editor components needs to be regenerated. To avoid confusion, the code base states it requires Xtext 2.6; but it can trivially be updated to work with 2.5 (after a regeneration of editor).
  
== Extra update site contents ==
+
== Installation ==
* Rete visualization - experimental as of the [[GEF/GEF4]] Zest dependency
+
 
* Viewers framework Zest graph support - experimental as of the [[GEF/GEF4]] Zest dependency
+
Use the update sites listed on the [https://eclipse.org/viatra/downloads.php project download page]. The main update site provides both the VIATRA Query runtime and the query development extensions for Eclipse in one SDK feature. It is recommended to install as few features directly as needed and rely on the p2 installer to download required features:
* Pattern Registry - experimental feature for uniform discovery of existing model queries
+
* Select the ''VIATRA Query SDK'' feature
 +
* If you want to use VIATRA Query with Graphiti or GMF, select the features ''GMF Integration for VIATRA Query'' or ''Graphiti Support for VIATRA Query'', respectively
 +
* If the corresponding Xtext version is not available directly from the main eclipse update site, consult the [https://www.eclipse.org/Xtext/download.html official Xtext download page].
 +
 
 +
=== Additional features ===
 +
* VIATRA Query Test Framework
 +
* VIATRA Query Visualization - experimental as of the [[GEF/GEF4]] Zest dependency
 +
 
 +
Additionally, this update site contains the latest GEF4 Zest to ease the installation. Because of the frequent changes in GEF4 Zest, the graph viewer components are only tested with this bundled version of Zest - other versions may or may not work.
 +
 
 +
= First steps =
 +
The built-in cheat sheet should help you with the first steps. We also maintain a [[VIATRA/Query/UserDocumentation/QueryLanguage | web-based tutorial]]. Additionally, you can check the [[VIATRA/Query/UserDocumentation/Examples/school|School introductory walkthrough example]] to help you get started.
 +
 
 +
== Examples ==
 +
We have a list of examples available in [[VIATRA/Query/UserDocumentation/Examples | Examples]].

Latest revision as of 09:24, 26 October 2017

Stop.png
Old information
This page is not updated anymore; for more up-to-date details look at https://www.eclipse.org/viatra/downloads.html and https://www.eclipse.org/viatra/documentation/tutorial.html instead


Installing VIATRA Query

Note: Versions before 1.2 were called EMF-IncQuery, so the name "VIATRA Query" has to be substituted accordingly.

Dependencies

Each version of VIATRA Query depends on a specific version Xtext/Xtend.

Xtext 2.3 Xtext 2.4 Xtext 2.5 Xtext 2.6 Xtext 2.7 Xtext 2.8 Xtext 2.9 Xtext 2.10 Xtext 2.11
EMF-IncQuery 0.7 Compatibility branch Yes No No No No No No No
EMF-IncQuery 0.8 No RT RT * Yes RT RT RT RT RT
EMF-IncQuery 0.9 No RT RT RT Yes RT RT RT RT
EMF-IncQuery 1.0 No RT RT RT RT Yes RT RT RT
EMF-IncQuery 1.1 No RT RT RT RT RT Yes RT RT
VIATRA Query 1.2 No RT RT RT RT RT Yes RT RT
VIATRA Query 1.3 No RT RT RT RT RT RT Yes RT
VIATRA Query 1.4 No RT RT RT RT RT Yes Yes RT
VIATRA Query 1.4.1 No RT RT RT RT RT Yes Yes Yes
VIATRA Query 1.5 No RT RT RT RT RT Yes Yes Yes

Remarks:

  • RT: runtime only; the development environment will not work with that version, but the runtime will
  • The codebase of EMF-IncQuery 0.8 is compatible with Xtext 2.5, but its editor components needs to be regenerated. To avoid confusion, the code base states it requires Xtext 2.6; but it can trivially be updated to work with 2.5 (after a regeneration of editor).

Installation

Use the update sites listed on the project download page. The main update site provides both the VIATRA Query runtime and the query development extensions for Eclipse in one SDK feature. It is recommended to install as few features directly as needed and rely on the p2 installer to download required features:

  • Select the VIATRA Query SDK feature
  • If you want to use VIATRA Query with Graphiti or GMF, select the features GMF Integration for VIATRA Query or Graphiti Support for VIATRA Query, respectively
  • If the corresponding Xtext version is not available directly from the main eclipse update site, consult the official Xtext download page.

Additional features

  • VIATRA Query Test Framework
  • VIATRA Query Visualization - experimental as of the GEF/GEF4 Zest dependency

Additionally, this update site contains the latest GEF4 Zest to ease the installation. Because of the frequent changes in GEF4 Zest, the graph viewer components are only tested with this bundled version of Zest - other versions may or may not work.

First steps

The built-in cheat sheet should help you with the first steps. We also maintain a web-based tutorial. Additionally, you can check the School introductory walkthrough example to help you get started.

Examples

We have a list of examples available in Examples.

Back to the top